LinuxQMISDK: NetworkStat1x Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
NetworkStat1x Struct Reference

## Data Fields
BYTE | State
WORD | SO
ULONG | RX_PWR
WORD | RX_EC_IO
ULONG | TX_PWR
BYTE | ActSetCnt
ActPilotPNElement * | pActPilotPNElements
BYTE | NeighborSetCnt
WORD * | pNeighborSetPilotPN

## Detailed Description

This structure contains 1x network status details

Parameters

  State | CDMA current access state 0x01 - Searching 0x02 - Idle 0x03 - Traffic Others - NA
  SO | CDMA service option 0xFFFF - Not in a call 0x0001 - Basic Variable Rate Voice Service(8kbps) 0x0002 - Mobile Station Loopback(8kbps) 0x0003 - Enhanced Variable Rate Codec(EVRC) Voice Service(8kbps) 0x0006 - Short message Services(Rate Set 1) 0x0009 - Mobile Station Loopback(13kbps) 0x000E - Short Message Service (Rate Set 2) 0x0011 - High Rate Voice Service(13kbps) 0x0020 - Test Data Service Option(TDSO) 0x0021 - cdma2000 High Speed Packet Data Service, Internet or ISO Protocol Stack 0x0044 - EVRC-B Voice Service(8 kbps) 0x0046 - EVRC-WB Voice Service(8 kbps) 0x0049 - Voice Echo mode supports smart blanking(EVRC-NW) 0x004B - Enhanced loopback 0x8000 - Proprietary Service Option (Qualcomm Inc.)
  RX_PWR | RX Pwr(dBm) 0xABCD00EF - -ABCD.EF dBm ABCD00EF should be transferred to decimal while displaying Example: 0x12340056 - -4660.86dBm 0x1234 = 4660, 0x0056 = 86 0xFFFFFFFF - NA
  RX_EC_IO | RX EC/IO(dB) 0xABCD - -AB.CD dB ABCD should be transferred to decimal while displaying Example: 0x1234 - -18.52dB 0x12 = 18, 0x34 = 52 0xFFFF - NA
  TX_PWR | TX PWR(dBm) 0xFFFFFFFF - NA Others - display actual value in decimal Example: 0x1234 - -4660dBm 0x1234 = 4660
  ActSetCnt( | IN/OUT ) Count of active pilot PN elements As input specifies number of sets of parameter pActPilotElements for which memory has been assigned As output specifies the actual number of sets of parameter pActPilotElements returned by device
  pActPilotPNElements | See ActPilotPNElement for more information
  NeighborSetCnt( | IN/OUT ) Count of neighbor pilot PN elements As input specifies number of sets of parameter pNeighborSetPilotPN for which memory has been assigned As output specifies the actual number of sets of parameter pNeighborSetPilotPN returned by device
  pNeighborSetPilotPN | Neighbor pilot PN

## Field Documentation

BYTE NetworkStat1x::ActSetCnt

BYTE NetworkStat1x::NeighborSetCnt

ActPilotPNElement* NetworkStat1x::pActPilotPNElements

WORD* NetworkStat1x::pNeighborSetPilotPN

WORD NetworkStat1x::RX_EC_IO

ULONG NetworkStat1x::RX_PWR

WORD NetworkStat1x::SO

BYTE NetworkStat1x::State

ULONG NetworkStat1x::TX_PWR